
/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date :	Jan,2013 

 File name : AD5662.c

 Description : Use the SPI(simulated by ADuC7026 GPIOs) to communicate with AD5662
 				(The AD5662 on EVAL-AD5750EBZ is used to set the Vin of AD5750 )

 Hardware plateform : ADuC7026 Eval Board Rev.B1 and EVAL-AD5750EBZ 	
********************************************************************************/

#include "ADuC7026.h"	
#include "ADuC7026Driver.h"
#include "AD5662.h"


/*******************************************************************
*   Function:    AD5662_reg_write
*   Description: writes to the AD5662 via the SPI port.
*******************************************************************/
void AD5662_reg_write(unsigned int Mode, unsigned int RegisterData)
{
	unsigned int ControlValue = 0;
	unsigned int i = 0;

	//Create the 24-bit 
	ControlValue = (Mode << 16) | RegisterData;
	
	SET_5662_CS();
	CLR_SCL();
	delay(3);
	CLR_5662_CS();	 //bring CS low
	delay(3);

	//Write out the control word
	for(i=0; i<24; i++)
	{
		SET_SCL();
		if(0x800000 == (ControlValue & 0x800000))
		{
			SET_SDO();	  //Send one to SDO pin
		}
		else
		{
			CLR_SDO();	  //Send zero to SDO pin
		}
		delay(3);
		CLR_SCL();
		delay(3);
		ControlValue <<= 1;	//Rotate data
	}
	
	SET_5662_CS();	//bring CS high again
}
