
/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date :	Jan,2013 

 File name : AD5750.c

 Description : Use the SPI(simulated by ADuC7026 GPIOs) to communicate with AD5750

 Hardware plateform : ADuC7026 Eval Board Rev.B1 and EVAL-AD5750EBZ 	
********************************************************************************/

#include "ADuC7026.h"	
#include "ADuC7026Driver.h"
#include "AD5750.h"




/*******************************************************************
*   Function:    AD5750_reg_write
*   Description: writes to the AD5750 via the SPI port.
*******************************************************************/
void AD5750_reg_write(unsigned int RegisterAddress, unsigned int RegisterData)
{
	unsigned int ControlValue = 0;
	unsigned int i = 0;

	//Create the 16-bit 
	ControlValue = (RegisterAddress << 13) | RegisterData;
	
	SET_5750_CS();
	CLR_SCL();
	delay(3);
	CLR_5750_CS();	 //bring CS low
	delay(3);

	//Write out the control word
	for(i=0; i<16; i++)
	{
		SET_SCL();
		if(0x8000 == (ControlValue & 0x8000))
		{
			SET_SDO();	  //Send one to SDO pin
		}
		else
		{
			CLR_SDO();	  //Send zero to SDO pin
		}
		delay(3);
		CLR_SCL();
		delay(3);
		ControlValue <<= 1;	//Rotate data
	}
	
	SET_5750_CS();	//bring CS high again
}
