
/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date :	Jan,2013 

 File name : AD5750.h

 Description : Use the SPI(simulated by ADuC7026 GPIOs) to communicate with AD5750

 Hardware plateform : ADuC7026 Eval Board Rev.B1 and EVAL-AD5750EBZ 	
********************************************************************************/

#ifndef _AD5750_H_
#define _AD5750_H_

#define READ					0x1000
#define WRITE					0x0

#define EX_4_TO_20_MA			0x0
#define EX_0_TO_20_MA			0x080
#define EX_0_TO_24_MA			0x100
#define EX_N20_TO_P20_MA		0x180
#define EX_N24_TO_P24_MA		0x200
#define EX_0_TO_5_V				0x280
#define EX_0_TO_10_V			0x300
#define EX_N5_TO_P5_V			0x380
#define EX_N10_TO_P10_V			0x400
#define EX_0_TO_6_V				0x480
#define EX_0_TO_12_V			0x500
#define EX_N6_TO_P6_V			0x580
#define EX_N12_TO_P12_V			0x600
#define EX_N2_5_TO_P2_5_V		0x680
#define EX_N1_TO_0_V			0x700
#define EX_0_TO_N1_V			0x780

#define IN_4_TO_20_MA			0x008
#define IN_0_TO_20_MA			0x088
#define IN_0_TO_24_MA			0x108
#define IN_N20_TO_P20_MA		0x188
#define IN_N24_TO_P24_MA		0x208
#define IN_0_TO_5_V				0x288
#define IN_0_TO_10_V			0x308
#define IN_N5_TO_P5_V			0x388
#define IN_N10_TO_P10_V			0x408
#define IN_0_TO_6_V				0x488
#define IN_0_TO_12_V			0x508
#define IN_N6_TO_P6_V			0x588
#define IN_N12_TO_P12_V			0x608
#define IN_3_92_TO_20_4_MA		0x688
#define IN_0_TO_20_4_MA			0x708
#define IN_0_TO_24_5_MA			0x788

#define CLEAR_0_V				0x0
#define CLEAR_MIDSCALE			0x40

#define OUTEN					0x20

#define SOFT_CLEAR_EN			0x10
#define SOFT_CLEAR_DIS			0x0

#define RESET_EN				0x04
#define RESET_DIS				0x0


void AD5750_reg_write(unsigned int RegisterAddress, unsigned int RegisterData);

#endif
