
/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date :	Jan,2013 

 File name : AD5750Test.c

 Description : Use the SPI(simulated by ADuC7026 GPIOs) to communicate with AD5750

 Hardware plateform : ADuC7026 Eval Board Rev.B1 and EVAL-AD5750EBZ 	
********************************************************************************/

#include "ADuC7026.h"
#include "ADuC7026Driver.h"
#include "AD5750.h"
#include "AD5662.h"	


int main(void) 
{
	unsigned int AD5662_data;
	unsigned int AD5750_address;
	
	ADuC7026_Initiate();

	//AD5662 output 0.25*VREF
	AD5662_data = 0x4000;	
	AD5662_reg_write(MODE_NORMAL_OPERATION,AD5662_data);		
	delay(30);


	AD5750_address = 0x0;
	//AD5750_reg_write(0x0,0x02E8);			//voltage 0-5V
	//AD5750_reg_write(0x0,0x0068);			//current4-20mA
	AD5750_reg_write(AD5750_address,WRITE | IN_0_TO_10_V | CLEAR_MIDSCALE | OUTEN);   //voltage 0-10V

	while(1)
    {	
		;
	}
}


