
/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date :	Jan,2013 

 File name : ADuC7026Driver.h

 Description : Use the SPI(simulated by ADuC7026 GPIOs) to communicate with AD5750

 Hardware plateform : ADuC7026 Eval Board Rev.B1 and EVAL-AD5750EBZ 	
********************************************************************************/

#ifndef ADUC7026_DRIVER_H
#define ADUC7026_DRIVER_H

// add the header file here
#define SET_5750_CS()		GP2DAT = (GP2DAT | 0x00800000)	//P2.7->/CS(AD5750)
#define CLR_5750_CS()		GP2DAT = (GP2DAT & 0xFF7FFFFF)

#define SET_5662_CS()		GP2DAT = (GP2DAT | 0x00200000)	//P2.5->/CS(AD5662)
#define CLR_5662_CS()		GP2DAT = (GP2DAT & 0xFFDFFFFF)

#define	SET_SCL()		GP1DAT = (GP1DAT | 0x00100000)	//P1.4->SCLK
#define	CLR_SCL()		GP1DAT = (GP1DAT & 0xffEFffff)

#define SET_SDO()		GP1DAT = (GP1DAT | 0x00400000)	//P1.6->SDO
#define CLR_SDO()		GP1DAT = (GP1DAT & 0xffBFffff)

void delay (int length);
void ADuC7026_Initiate(void);
/*
*/

#endif





